path: /build/build/tor-net-vpn-0.4.8.21.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl -scrypt -seccomp -selinux -systemd caps lzma zstd" emerge net-vpn/tor -pv -t
  - |
    USE="-libressl -scrypt -seccomp -selinux -systemd caps lzma zstd" emerge -j ${JOBS} --nodeps net-vpn/tor
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/tor && luet-portage --dir /pkgdir/tor
    net-vpn/tor
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:255ee5dd90240d86a20064d5fb68be48d50a67b8b2fb2ac8e46457f5da0f4308
  package:
    name: tor
    version: 0.4.8.21
    category: net-vpn
    use_flags:
    - -libressl
    - -scrypt
    - -seccomp
    - -selinux
    - -systemd
    - caps
    - lzma
    - zstd
    requires:
    - name: libevent
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Anonymizing overlay network for TCP
    uri:
    - http://www.torproject.org/
    license: BSD GPL-2
    buildtimestamp: 2025-12-13 00:10:19.404007291 +0000 UTC m=+266.011909036
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
        lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
        ) app-text/asciidoc sys-apps/shadow
      IUSE: caps lzma seccomp selinux tor-hardening zstd
      RDEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
        lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
        )
      emerge.packages: net-vpn/tor
      kit: net-kit
      original.package.name: net-vpn/tor
      original.package.slot: "0"
      original.package.version: 0.4.8.21
    treedir: /build/packages
  package_dir: /pkgdir/tor
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9ca12d1a55bc20ef11fd856b5fbff6dbfc111fd308fc6810e531448205ce29a5
compressiontype: zstd
files:
- etc/conf.d/tor
- etc/init.d/tor
- etc/tor/torrc
- etc/tor/torrc.sample
- usr/bin/tor
- usr/bin/tor-gencert
- usr/bin/tor-print-ed-signing-cert
- usr/bin/tor-resolve
- usr/bin/torify
- usr/share/doc/tor-0.4.8.21/ChangeLog.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/CodingStandards.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/Fuzzing.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/GettingStarted.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/HelpfulTools.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/HowToReview.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/Module.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/README.1st.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/ReleasingTor.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/WritingTests.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/tracing/EventsCircuit.md.bz2
- usr/share/doc/tor-0.4.8.21/HACKING/tracing/README.md.bz2
- usr/share/doc/tor-0.4.8.21/README.gentoo.bz2
- usr/share/doc/tor-0.4.8.21/README.md.bz2
- usr/share/doc/tor-0.4.8.21/ReleaseNotes.bz2
- usr/share/doc/tor-0.4.8.21/tor-gencert.html
- usr/share/doc/tor-0.4.8.21/tor-print-ed-signing-cert.html
- usr/share/doc/tor-0.4.8.21/tor-resolve.html
- usr/share/doc/tor-0.4.8.21/tor.html
- usr/share/doc/tor-0.4.8.21/torify.html
- usr/share/man/man1/tor-gencert.1.bz2
- usr/share/man/man1/tor-print-ed-signing-cert.1.bz2
- usr/share/man/man1/tor-resolve.1.bz2
- usr/share/man/man1/tor.1.bz2
- usr/share/man/man1/torify.1.bz2
- usr/share/tor/geoip
- usr/share/tor/geoip6
- var/db/pkg/net-vpn/tor-0.4.8.21/BUILD_TIME
- var/db/pkg/net-vpn/tor-0.4.8.21/CATEGORY
- var/db/pkg/net-vpn/tor-0.4.8.21/CBUILD
- var/db/pkg/net-vpn/tor-0.4.8.21/CFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.21/CHOST
- var/db/pkg/net-vpn/tor-0.4.8.21/CONTENTS
- var/db/pkg/net-vpn/tor-0.4.8.21/COUNTER
- var/db/pkg/net-vpn/tor-0.4.8.21/CTARGET
- var/db/pkg/net-vpn/tor-0.4.8.21/CXX
- var/db/pkg/net-vpn/tor-0.4.8.21/CXXFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.21/DEFINED_PHASES
- var/db/pkg/net-vpn/tor-0.4.8.21/DEPEND
- var/db/pkg/net-vpn/tor-0.4.8.21/DESCRIPTION
- var/db/pkg/net-vpn/tor-0.4.8.21/EAPI
- var/db/pkg/net-vpn/tor-0.4.8.21/FEATURES
- var/db/pkg/net-vpn/tor-0.4.8.21/HOMEPAGE
- var/db/pkg/net-vpn/tor-0.4.8.21/INHERITED
- var/db/pkg/net-vpn/tor-0.4.8.21/IUSE
- var/db/pkg/net-vpn/tor-0.4.8.21/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/tor-0.4.8.21/KEYWORDS
- var/db/pkg/net-vpn/tor-0.4.8.21/LDFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.21/LICENSE
- var/db/pkg/net-vpn/tor-0.4.8.21/NEEDED
- var/db/pkg/net-vpn/tor-0.4.8.21/NEEDED.ELF.2
- var/db/pkg/net-vpn/tor-0.4.8.21/PF
- var/db/pkg/net-vpn/tor-0.4.8.21/RDEPEND
- var/db/pkg/net-vpn/tor-0.4.8.21/REQUIRES
- var/db/pkg/net-vpn/tor-0.4.8.21/SIZE
- var/db/pkg/net-vpn/tor-0.4.8.21/SLOT
- var/db/pkg/net-vpn/tor-0.4.8.21/USE
- var/db/pkg/net-vpn/tor-0.4.8.21/environment.bz2
- var/db/pkg/net-vpn/tor-0.4.8.21/repository
- var/db/pkg/net-vpn/tor-0.4.8.21/tor-0.4.8.21.ebuild
- var/lib/tor/.keep_net-vpn_tor-0
package_cacheimage: ""
runtime:
  name: tor
  version: 0.4.8.21
  category: net-vpn
  use_flags:
  - -libressl
  - -scrypt
  - -seccomp
  - -selinux
  - -systemd
  - caps
  - lzma
  - zstd
  requires:
  - name: zstd
    version: '>=0'
    category: app-arch
  - name: asciidoc
    version: '>=0'
    category: app-text
  - name: libevent
    version: '>=0'
    category: dev-libs
  - name: libcap
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Anonymizing overlay network for TCP
  uri:
  - http://www.torproject.org/
  license: BSD GPL-2
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
      lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
      ) app-text/asciidoc sys-apps/shadow
    IUSE: caps lzma seccomp selinux tor-hardening zstd
    RDEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
      lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
      )
    emerge.packages: net-vpn/tor
    kit: net-kit
    original.package.name: net-vpn/tor
    original.package.slot: "0"
    original.package.version: 0.4.8.21
